.. AUTO-GENERATED FILE. DO NOT EDIT. knowledge-bases-book-pages-get-many =================================== Source ------ - Repository: ``jef-systems/jef-knowledge-bases-backend`` - Source Run ID: ``25224728551`` - Source SHA: ``aa5ff95e9fc61b1117b4e8fbff26c3c0f37efea2`` - Module: ``knowledge-bases`` - Documentation Scope: ``get`` - Lambda: ``jef-knowledge-bases-get-2`` Endpoint -------- - API Name: ``jef-knowledge-bases`` - Action Name: ``get`` - Method: ``GET`` - Scope Label: ``GET`` - Resource Path: ``/knowledge-bases-book-pages-get-many`` - Complete Endpoint: ``https://in42anzkh6.execute-api.ap-southeast-1.amazonaws.com/prod/knowledge-bases-book-pages-get-many`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-knowledge-bases-get-2`` - curl payload mode: ``query_string`` API Gateway Description ----------------------- .. code-block:: text Function: jef-knowledge-bases-get-2 API Name: jef-knowledge-bases Action: get Method: GET Resource Path: /knowledge-bases-book-pages-get-many Table: - table: jef-knowledge-bases-book-pages - operation: get-many Payload Schema: - gsi_1_pk: knowledge_base_id Payload Example: - gsi_1_pk: kb-001 Response Schema: - exists: boolean - message: string - items: [{"document_id":"string","page_id":"string","book_version":"string","knowledge_base_id":"string","book_id":"string","book_slug":"string","slug":"string","name":"string","title":"string","description":"string","language":"string","owner_entity_number":"string","page_number":"number","page_number_padded":"string","page_label":"string","source_type":"string","source_uri":"string","source_hash":"string","s3_bucket":"string","s3_key":"string","content_type":"string","text":"string","text_hash":"string","text_length":"number","word_count":"number","chunk_count":"number","extraction_engine":"string","ingestion_status":"string","status":"string","active":"boolean","empty":"boolean","failed":"boolean","manifest_verified":"boolean","pipeline_run_id":"string","latest_build_number":"number","extracted_at":"string","started_at":"string","completed_at":"string","failed_at":"string","created_at":"string","updated_at":"string","published_at":"string","submitted_at":"string","created_by":"string","updated_by":"string","error_message":"string","idempotency_key":"string"}] Request Payload --------------- .. code-block:: json { "gsi_1_pk": "knowledge_base_id" } Response -------- .. code-block:: json { "exists": "boolean", "message": "string", "items": "[{\"document_id\":\"string\",\"page_id\":\"string\",\"book_version\":\"string\",\"knowledge_base_id\":\"string\",\"book_id\":\"string\",\"book_slug\":\"string\",\"slug\":\"string\",\"name\":\"string\",\"title\":\"string\",\"description\":\"string\",\"language\":\"string\",\"owner_entity_number\":\"string\",\"page_number\":\"number\",\"page_number_padded\":\"string\",\"page_label\":\"string\",\"source_type\":\"string\",\"source_uri\":\"string\",\"source_hash\":\"string\",\"s3_bucket\":\"string\",\"s3_key\":\"string\",\"content_type\":\"string\",\"text\":\"string\",\"text_hash\":\"string\",\"text_length\":\"number\",\"word_count\":\"number\",\"chunk_count\":\"number\",\"extraction_engine\":\"string\",\"ingestion_status\":\"string\",\"status\":\"string\",\"active\":\"boolean\",\"empty\":\"boolean\",\"failed\":\"boolean\",\"manifest_verified\":\"boolean\",\"pipeline_run_id\":\"string\",\"latest_build_number\":\"number\",\"extracted_at\":\"string\",\"started_at\":\"string\",\"completed_at\":\"string\",\"failed_at\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"published_at\":\"string\",\"submitted_at\":\"string\",\"created_by\":\"string\",\"updated_by\":\"string\",\"error_message\":\"string\",\"idempotency_key\":\"string\"}]" } CMD curl -------- .. code-block:: text curl "https://in42anzkh6.execute-api.ap-southeast-1.amazonaws.com/prod/knowledge-bases-book-pages-get-many?gsi_1_pk=kb-001" PowerShell curl --------------- .. code-block:: text curl.exe "https://in42anzkh6.execute-api.ap-southeast-1.amazonaws.com/prod/knowledge-bases-book-pages-get-many?gsi_1_pk=kb-001"